package com.me.pacman.state;

import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.me.pacman.Constants;
import com.me.pacman.PacDude;
import com.me.pacman.level.Level;

public abstract class LevelState extends State {

    public Level level;

    public LevelState(PacDude game) {
        super(game);
    }

    public void drawSprite(TextureRegion sprite, float x, float y) {
        game.batch.draw(
                sprite,
                (int) (x * Constants.TILE_SIZE) + (Constants.LEVEL_OFFSET_X - Constants.TILE_SIZE),
                (int) (y * Constants.TILE_SIZE) + (Constants.LEVEL_OFFSET_Y - Constants.TILE_SIZE)
        );
    }

}
